from postprocess0103 import postprocess0103
from postprocess0106 import postprocess0106
from postprocess0105 import postprocess0105
from postprocess0104 import postprocess0104
from postprocess0101 import postprocess0101
from postprocess0117 import postprocess0117
from postprocess0108 import postprocess0108
from postprocess0109 import postprocess0109
from postprocess0110 import postprocess0110
from postprocess0111 import postprocess0111
from postprocess0112 import postprocess0112
from postprocess0113 import postprocess0113
from postprocess0114 import postprocess0114
from postprocess0115 import postprocess0115
from postprocess0304 import postprocess0304
from postprocess0310 import postprocess0310
from postprocess0308 import postprocess0308
from postprocess0307 import postprocess0307
from mianji import adjust
def postprocess(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates,yqspecial):
    l = postprocess_(selected,data,aiclient,qwclient,sfclient,label_name,name_dw,candidates,yqspecial)
    return adjust(l, data, aiclient, qwclient, sfclient)
def postprocess_(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates,yqspecial):
    if len(selected) == 0:
        return []
    if data['bianma'].startswith("0103"):
        return postprocess0103(selected, data, aiclient, sfclient)
    elif data['bianma'].startswith("0117"):
        return postprocess0117(selected, data, aiclient, sfclient)
    elif data['bianma'].startswith("0101"):
        return postprocess0101(selected, data, aiclient, sfclient)
    elif data['bianma'].startswith("0104"):
        return postprocess0104(selected, data, aiclient, sfclient)
    elif data['bianma'].startswith("0105"):
        return postprocess0105(selected, data, aiclient, qwclient, sfclient, label_name, name_dw)
    elif data['bianma'].startswith("0106"):
        return postprocess0106(selected, data, aiclient, qwclient, sfclient, label_name, name_dw,yqspecial)
    elif data['bianma'].startswith("0108"):
        return postprocess0108(selected, data, aiclient, qwclient, sfclient, label_name, name_dw)
    elif data['bianma'].startswith("0109"):
        return postprocess0109(selected, data, aiclient, qwclient, sfclient, label_name, name_dw)
    elif data['bianma'].startswith("0110"):
        return postprocess0110(selected, data, aiclient, qwclient, sfclient, label_name, name_dw)
    elif data['bianma'].startswith("0111"):
        return postprocess0111(selected, data, aiclient, qwclient, sfclient, label_name, name_dw)
    elif data['bianma'].startswith("0112"):
        return postprocess0112(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates)
    elif data['bianma'].startswith("0113"):
        return postprocess0113(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates)
    elif data['bianma'].startswith("0114"):
        return postprocess0114(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates)
    elif data['bianma'].startswith("0115"):
        return postprocess0115(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates)
    elif data['bianma'].startswith("0304"):
        return postprocess0304(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates)
    elif data['bianma'].startswith("0310"):
        return postprocess0310(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates)
    elif data['bianma'].startswith("0308"):
        return postprocess0308(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates)
    elif data['bianma'].startswith("0307"):
        return postprocess0307(selected, data, aiclient, qwclient, sfclient, label_name, name_dw, candidates)
    else: 
        return selected
